Subject: Re: [PATCH net-next v1 0/3] selftests: rds: ksft cleanups

From: Jakub Kicinski <[email-masked]>
Date: Tue, 10 Mar 2026 18:53:05 -0700

On Sat,  7 Mar 2026 22:58:32 -0700 Allison Henderson wrote:
> This set addresses a few rds selftests clean ups and bugs encountered
> when running in the ksft framework.  The first patch is a clean up
> patch that addresses pylint warnings, but otherwise no functional
> changes.  The next patch moves the test time out to a ksft settings
> file so that the time out is set appropriately.  And lastly we fix a
> tcpdump segfault caused by deprecated a os.fork() call.

Looks good! So this is enough to make ksft work? Or just the first
batch of obvious fixes? :)